Attribute VB_Name = "basFish"
' -------------------------------------------------------------------------
'
' basFish(Fish.Bas)                                  Ulrich Mller 23.06.98
'                                                    Dell XPS P90    VB4/32
' Konstanten fr die Nutzung von FishFace Funktionen
' Aufruf Interface Panel
'
' -------------------------------------------------------------------------

Option Explicit

Public Const ftiAus = 0
Public Const ftiEin = 1
Public Const ftiLinks = 1
Public Const ftiRechts = 2
Public Const ftiAEX = 0
Public Const ftiAEY = 1
Public Const ftiFehler = &HFFFF
Public Const ftiDFehler = &HFFFF
Public Const ftiAFehler = &HFFFE

Private ft As clsFishFace

Sub Main()

' --- Anzeige Interface Panel ---

Dim PortName$, res&

  Set ft = New clsFishFace
  GetPortParm PortName
  res = ft.OpenInterface(PortName)
  If res <> ftiFehler Then
    ft.ShowPanel
#If VBVersion = 532 Then
    Do
      DoEvents
    Loop While ft.PanelEnabled
#End If
  ft.CloseInterface
  Else
    MsgBox "Interface Problem " & PortName, vbCritical + vbOKOnly, "fischertechnik Interface"
  End If
  Set ft = Nothing
  End
  
End Sub



Private Sub GetPortParm(PortName$)

' --- Ermitteln von Portname und bei LPT ggf. Setzen des OutputDelay --

Dim w$, i%

  w = "COM1"
  
  If Len(Command$) > 3 Then
    w = Command$
  Else
    w = InputBox("I/O-Port : COM1 - COM4, LPT1 - LPT3." & vbCrLf & "LPT :  + OutputDelay" & vbCrLf & " (default = 3 (Pentium 90 - 200 : LPT1,03))", "fischertechnik Interface", "COM1")
  End If
  w = UCase(w)
  
  If Len(w) < 4 Then
    PortName = "COM1"
  Else
    If Left(w, 3) = "COM" Or Left(w, 3) = "LPT" Then
      PortName = Left(w, 4)
    End If
    If Len(w) = 7 And Left(PortName, 3) = "LPT" Then
      i = Val(Right(w, 2))
      If i > 0 Then ft.OutputDelay = i
    End If
  End If
  
End Sub
