VERSION 5.00
Begin VB.Form frmFishK1 
   Caption         =   "FishKurs 1 : Einfache Ampel"
   ClientHeight    =   5415
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7245
   Icon            =   "FishK1.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   5415
   ScaleWidth      =   7245
   StartUpPosition =   3  'Windows-Standard
   Begin VB.CommandButton cmdEnde 
      Caption         =   "ENDE"
      Height          =   495
      Left            =   3120
      TabIndex        =   1
      Top             =   4680
      Width           =   1695
   End
   Begin VB.CommandButton cmdAction 
      Caption         =   "START"
      Height          =   495
      Left            =   5160
      TabIndex        =   0
      Top             =   4680
      Width           =   1815
   End
End
Attribute VB_Name = "frmFishK1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' -------------------------------------------------------------------------
'
' frmFishK1(FishK1.FRM)                              Ulrich Mller  12.5.98
'                                                    Dell XPS P90     VB5.0
' Einfhrung in die Programmierung von Fischertechnik Profi Computing
' unter Nutzung von FishFace am Beispiel einer Ampelsteuerung
'
' FishKurs 1 : Einfache Ampel
'
' erforderlich : FishF532.DLL
'              bei Einsatz des parallelen Interfaces zustzlich InOut32.DLL
'
' -------------------------------------------------------------------------

Option Explicit

Private ft As clsFishFace
Private PortName$

' --- Konstanten fr Ampelsteuerung ---

Const LampeGrn = 1
Const LampeGelb = 2
Const LampeRot = 3


Private Sub cmdAction_Click()

Dim res%
 
  Set ft = New clsFishFace
  res = ft.OpenInterface(PortName, ShowPanel:=True)
  
  Do                                 ' --- Betriebsschleife ---
                                     '     Abbruch ber NotHalt am Panel
                                     ' --- Ampelanzeige --
    ft.SetMotor LampeGrn, ftiEin    '     Grn, 3000
    ft.WaitForTime 3000
    ft.SetMotor LampeGrn, ftiAus
    ft.SetMotor LampeGelb, ftiEin    '     Gelb, 1000
    ft.WaitForTime 1000
    ft.SetMotor LampeGelb, ftiAus
    ft.SetMotor LampeRot, ftiEin     '     Rot, 3500
    ft.WaitForTime 3500
    ft.SetMotor LampeGelb, ftiEin    '     Rot/Gelb, 1000
    ft.WaitForTime 1000
    ft.SetMotor LampeRot, ftiAus
    ft.SetMotor LampeGelb, ftiAus
  Loop Until ft.NotHalt
  
  ft.CloseInterface                  ' --- Schlieen Interface
  Set ft = Nothing

End Sub

Private Sub cmdEnde_Click()

  End
  
End Sub


Private Sub Form_Load()

  PortName = UCase(InputBox("Bitte I/O-Port angeben : COM1 - COM4, LPT1 - LPT3. ", "FishKurs", "COM1"))
  
End Sub


